<?php
/**
 * Action link view
 *
 * @package wp-viral-click
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$st = $this->setting;

$classid   = '.ipjck-widget-' . $this->widget->ID;
$url       = $st->getSetting( 'link_url', '#' );
$label     = stripslashes( $st->getSetting( 'link_label' ) );
$color     = $st->getSetting( 'link_color', '#333333' );
$hvrcolor  = $st->getSetting( 'link_hover_color', '#000000' );
$underline = $st->getSetting( 'link_underline', 'false' );

//Font
$fontsz   = $st->getSetting( 'link_font_size', '14' );
$font_opt = $st->getSetting( 'link_font_family', 'roboto' );
$family   = IPJck_Font::getFamily( $font_opt );

$class  = 'ipjck-link';
if ( $underline == 'true' ) {
	$class .= ' ipjck-underline-on';
}
?>

<style>
<?php echo $classid; ?> .ipjck-action-link .ipjck-link {
	color: <?php echo $color; ?>;
	font-size: <?php echo $fontsz; ?>px;
	font-family: <?php echo $family; ?>;
}
<?php echo $classid; ?> .ipjck-action-link .ipjck-link:hover {
	color: <?php echo $hvrcolor; ?>;
}
</style>

<!-- start: .ipjck-action-link -->
<div class="ipjck-action-link">
	<a href="<?php echo $url; ?>" class="<?php echo $class; ?>">
    <span class="ipjck-link-inner">
      <?php echo $label; ?>
    </span>
  </a>

</div>
<!-- end: .ipjck-action-button -->